Description

SetVerbosityLevel/VerbosityLevel allow to have verbosity.

Some functions now use them.

This should be reported in their manual entry (not done yet).

Should also be possible to find which functions have verbosity?

Related issues:

Related to CoCoA-5 - Support #1040: CoCoAManual: entry for SetVerbosityLevel/... Closed 07 Apr 2017

Related to CoCoALib - Feature #718: Insert calls to CheckForInterrupt Closed 21 May 2015

History

#1 - 20 Mar 2017 13:23 - John Abbott

I noticed in the new CoCoA-5 manual entry for ApproxPointsNBM there are some incomplete phrases about what various verbosity levels do.

I think I would prefer a less detailed description: perhaps just the range of useful verbosity levels for that fn?

Verbose messages are useful aids for those trying to debug or simply understand the internal workings; they are not really an essential part of the

function.  If we give too many details in the manual then that make any future changes difficult (or else we have to remember to update the manual,

and produce a notice saying that things have changed).

#2 - 20 Mar 2017 14:26 - John Abbott

I like the idea of <key>verbose</key>.  KISS!

#3 - 07 Apr 2017 10:01 - Anna Maria Bigatti

- Related to Support #1040: CoCoAManual: entry for SetVerbosityLevel/VerbosityLevel added

#4 - 07 Apr 2017 11:20 - Anna Maria Bigatti

I refined my idea: now a function implementing verbosity should have these lines in its manual entry

<types>

  <type>verbosity</type>

</types>

then I also made a chapter "Verbosity and interrupt", and a section "Commands and Functions implementing Verbosity", which lists them all (all those

reporting the lines above).
#5 - 07 Apr 2017 11:23 - Anna Maria Bigatti

- Description updated

#6 - 07 Apr 2017 11:24 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 0 to 80

#7 - 07 Apr 2017 11:40 - Anna Maria Bigatti

- Related to Feature #718: Insert calls to CheckForInterrupt added

#8 - 07 Apr 2017 11:41 - Anna Maria Bigatti

also added

  <type>interrupt</type>

for interrupt (and relative section)

#9 - 07 Apr 2017 11:47 - John Abbott

It seems a bit odd to have verbosity and interrupt under types.

Better types than keywords?

#10 - 07 Apr 2017 14:12 - Anna Maria Bigatti

John Abbott wrote:

It seems a bit odd to have verbosity and interrupt under types.

 

<type> is used for making a list of functions of a certain type (i.e. having input type BLAH, or being a command, loop, ...).

These lists are generated also in the html and pdf version of the manual, in the descriptive part of the manual.

Better types than keywords?

 

<key> is for only for searching in the manual withing cocoa.
#11 - 07 Apr 2017 14:13 - Anna Maria Bigatti

- Subject changed from CoCoAManual for verbosity: how to find which levels? to CoCoAManual for verbosity: how to find which levels? how to find

which functions?

#12 - 11 Dec 2017 18:47 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

I suggest closing this now.

A refined solution is much more difficult and probably not that necessary.

#13 - 12 Dec 2017 11:01 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
